import { select, arc } from 'd3';

const svg = select('svg');

const height = +svg.attr('height');
const width = +svg.attr('width');
const g = svg.append('g')
	.attr('transform', `translate(${width/2}, ${height/2})`);


const circle = g
	.append('circle')
    .attr('r', height/2)
    .attr('fill', 'yellow')
    .attr('stroke', 'black');

const eyeSpacing = 100;
const eyeYOffset = -70;
const eyeRadius = 30;
const eyeBrowWidth = 70;
const eyeBrowHeight = 15;
const eyebrowYoffset = -70;
const eyesG = g
	.append('g')
		.attr('transform', `translate(0, ${eyeYOffset})`);;

const eyesBrowsG = eyesG
	.append('g')
		.attr('transform', `translate(0, ${eyebrowYoffset})`);

eyesBrowsG
		.transition().duration(2000)
		.attr('transform', `translate(0, ${eyebrowYoffset - 50})`)
	.transition().duration(2000)
		.attr('transform', `translate(0, ${eyebrowYoffset})`);

const leftEye = eyesG
	.append('circle')
    .attr('r', eyeRadius)
    .attr('cx', - eyeSpacing)
	
const rightEye = eyesG
	.append('circle')
    .attr('r', eyeRadius)
    .attr('cx', + eyeSpacing)

const leftEyeBrow = eyesBrowsG
	.append('rect')
    .attr('x', -eyeSpacing - eyeBrowWidth/2)
    .attr('width', eyeBrowWidth)
    .attr('height', eyeBrowHeight);

const rightEyeBrow = eyesBrowsG
	.append('rect')
    .attr('x', +eyeSpacing - eyeBrowWidth/2)
    .attr('width', eyeBrowWidth)
    .attr('height', eyeBrowHeight)

const nose = g
	.append('circle')
    .attr('r', eyeRadius)
    .attr('cx',  +eyeSpacing - eyeBrowWidth*1.5)


const mouth = g
	.append('path')
    .attr('d', arc()({
      innerRadius: 150,
      outerRadius: 170,
      startAngle: Math.PI/2,
      endAngle: Math.PI * 3/2
  }));


const hair = g
	.append('rect')
		.attr('x', +80)
		.attr('y', -255)
    .attr('width', 10)
    .attr('height', 50);

const hair1 = g
	.append('rect')
		.attr('x', +55)
		.attr('y', -255)
    .attr('width', 10)
    .attr('height', 50);

const hair2 = g
	.append('rect')
		.attr('x', +33)
		.attr('y', -255)
    .attr('width', 10)
    .attr('height', 50);

const hair3 = g
	.append('rect')
		.attr('x', + 8)
		.attr('y', -255)
    .attr('width', 10)
    .attr('height', 50);

const hair4 = g
	.append('rect')
		.attr('x', -18)
		.attr('y', -255)
    .attr('width', 10)
    .attr('height', 50);

const hair5 = g
	.append('rect')
		.attr('x', -45)
		.attr('y', -255)
    .attr('width', 10)
    .attr('height', 50);

const hair6 = g
	.append('rect')
		.attr('x', -70)
		.attr('y', -255)
    .attr('width', 10)
    .attr('height', 50);

const hair7 = g
	.append('rect')
		.attr('x', -95)
		.attr('y', -255)
    .attr('width', 10)
    .attr('height', 50);


// const righEar = g
// 	.append('path')
// 		.attr('y', + 300)
//     .attr('d', arc()({
//       innerRadius: 50,
//       outerRadius: 70,
//       startAngle: 1.3,
//       endAngle: 0.3
//   }));

